Get the cluster metrics data.
Retrieve the metrics data for a Kubernetes cluster by Universally Unique Identifier (UUID).
Authentication
AuthorizationBearer
Bearer authentication
Path parameters
clusterUuid
The Universally Unique Identifier (UUID) of the cluster.
Query parameters
start
Start date of time range to fetch data in ISO 8601 timestamp format.
end
End date of time range to fetch data in ISO 8601 timestamp format.
numberOfSamples
The number of samples to take in the specified time range.
metricType
specifies what data to request
groupBy
Labels to group the returned metrics data by. Grouping availability depends on the selected metric type. Supported values: “category” (workload category) or “node pool”.
Allowed values:
nodepoolName
Filter using the nodepool.
Response
Executed successfully.
measurements
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error
503
Service Unavailable Error